echo off
rem This shell script programs the released ISP (flash array), the ISP
rem configuration word (User page) and the general-purpose fuse bits.

rem Copyright (c) 2007, Atmel Corporation All rights reserved.
rem
rem Redistribution and use in source and binary forms, with or without
rem modification, are permitted provided that the following conditions are met:
rem
rem 1. Redistributions of source code must retain the above copyright notice, this
rem list of conditions and the following disclaimer.
rem
rem 2. Redistributions in binary form must reproduce the above copyright notice,
rem this list of conditions and the following disclaimer in the documentation and/
rem or other materials provided with the distribution.
rem
rem 3. The name of ATMEL may not be used to endorse or promote products derived
rem from this software without specific prior written permission.
rem
rem THIS SOFTWARE IS PROVIDED BY ATMEL ``AS IS'' AND ANY EXPRESS OR IMPLIED
rem WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
rem MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY AND
rem SPECIFICALLY DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT,
rem INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
rem BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
rem DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
rem OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
rem NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
rem EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

echo on
echo
echo Performing a JTAG Chip Erase command.
avr32program chiperase
sleep 9

echo
echo Programming MCU memory from \`at32uc3aes-isp-1.0.0.hex\'.
avr32-objcopy -I ihex -O binary at32uc3a-isp-1.0.2.hex at32uc3a-isp-1.0.2.bin
avr32program program -finternal@0x80000000,512Kb -cxtal -e -v -O0x80000000 -Fbin at32uc3a-isp-1.0.2.bin
echo
rm -f at32uc3a-isp-1.0.2.bin
sleep 9

echo
echo Programming ISP configuration word.
avr32program program -finternal@0x80000000,512Kb -cxtal -e -v -O0x808001FC -Fbin at32uc3a-isp_cfg-1.0.2.bin
echo
sleep 9

echo
echo Programming general-purpose fuse bits.
avr32program writefuses -finternal@0x80000000,512Kb gp=0xFC07FFFF
sleep 9

echo
echo Starting CPU execution.
avr32program run -R
echo
